Debian Bug report logs - #700985
ITP: libmodule-install-extratests-perl -- contextual tests that the harness can ignore

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonas Smedegaard <dr@jones.dk>

Date: Wed, 20 Feb 2013 04:03:01 UTC

Owned by: Jonas Smedegaard <dr@jones.dk>

Severity: wishlist

Fixed in version libmodule-install-extratests-perl/0.008-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#700985; Package wnpp. (Wed, 20 Feb 2013 04:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Wed, 20 Feb 2013 04:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmodule-install-extratests-perl -- contextual tests that the harness can ignore
Date: Wed, 20 Feb 2013 05:01:01 +0100
Package: wnpp
Severity: wishlist
Owner: Jonas Smedegaard <dr@jones.dk>

* Package name    : libmodule-install-extratests-perl
  Version         : 0.008
  Upstream Author : Ricardo Signes <rjbs@cpan.org>
* URL             : http://search.cpan.org/dist/Module-Install-ExtraTests/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : contextual tests that the harness can ignore

 Module::Install::ExtraTests adds one Module::Install command:
 .
  extra_tests;
 .
 This declares that the test files found in the directory ./xt should be
 run only in certain instances:
 .
  ./xt/author  - run when tests are being run in an author's working copy
  ./xt/smoke   - run when the dist is being smoked (AUTOMATED_TESTING=1)
  ./xt/release - run during "make disttest"
 .
 These directories are recurisvely scanned for *.t files.  If any
 directories or files exist in ./xt that are not recognized, the
 Makefile.PL will die.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 20 Feb 2013 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Sun, 17 Mar 2013 17:03:17 GMT) Full text and rfc822 format available.

Notification sent to Jonas Smedegaard <dr@jones.dk>:
Bug acknowledged by developer. (Sun, 17 Mar 2013 17:03:17 GMT) Full text and rfc822 format available.

Message #12 received at 700985-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 700985-close@bugs.debian.org
Subject: Bug#700985: fixed in libmodule-install-extratests-perl 0.008-1
Date: Sun, 17 Mar 2013 17:00:26 +0000
Source: libmodule-install-extratests-perl
Source-Version: 0.008-1

We believe that the bug you reported is fixed in the latest version of
libmodule-install-extratests-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700985@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated libmodule-install-extratests-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 20 Feb 2013 05:09:08 +0100
Source: libmodule-install-extratests-perl
Binary: libmodule-install-extratests-perl
Architecture: source all
Version: 0.008-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libmodule-install-extratests-perl - contextual tests that the harness can ignore
Closes: 700985
Changes: 
 libmodule-install-extratests-perl (0.008-1) unstable; urgency=low
 .
   * Initial packaging release.
     Closes: bug#700985.
Checksums-Sha1: 
 b5a3a120ab647703d85fe9b89018a720118a4fdc 2241 libmodule-install-extratests-perl_0.008-1.dsc
 3e3d70fa804ad5cc3138a3feaa010abb7b712c3b 28206 libmodule-install-extratests-perl_0.008.orig.tar.gz
 7fc806e7894bb46f9ed21709bc564a2610d1abc9 3057 libmodule-install-extratests-perl_0.008-1.debian.tar.gz
 7b6d7388108e124b5ba174956b41f42604ba86e9 10494 libmodule-install-extratests-perl_0.008-1_all.deb
Checksums-Sha256: 
 6661fda1663deaf82f400acbb1c4641e2dae587e11bf083a70fa950d69177aa2 2241 libmodule-install-extratests-perl_0.008-1.dsc
 643d528490df5f4fd8c9cf6afe431d32465f2d27b24bdddc0a53b02618e57db0 28206 libmodule-install-extratests-perl_0.008.orig.tar.gz
 1285e79748fc124d7241a7a2594ed87899093ec1ee25f3220131db2405a3ab6c 3057 libmodule-install-extratests-perl_0.008-1.debian.tar.gz
 210207d615f06a0c6392e81c959d99120587a90d0966d1ecd0bea2d1d6b77fea 10494 libmodule-install-extratests-perl_0.008-1_all.deb
Files: 
 f44fd5f99e6aaffa63b81f0fd442c07a 2241 perl optional libmodule-install-extratests-perl_0.008-1.dsc
 d6ccc18e5c09973feccf7f74afcd1d16 28206 perl optional libmodule-install-extratests-perl_0.008.orig.tar.gz
 f6ceee26ff4cbef154d927c8b012855c 3057 perl optional libmodule-install-extratests-perl_0.008-1.debian.tar.gz
 9da6bad7d5b6745bbc7568271ef6ff69 10494 perl optional libmodule-install-extratests-perl_0.008-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRJE1hAAoJECx8MUbBoAEhLocP/AotAMbTe2J792WHtEKr8Qig
yyzOjhfOushVos/F4uZw5HNWugShbbJhNkTZP9TEL5kiYXivGigcrZkgc6sZDRTz
eE1YZwrd2j2Edt+EKT2czoBzE4cRhXUcpzI/gjPGzSaNOsj27kcBnYvI6XVJq3FV
hf2U+xZgECxj18lIwjTyuu+bOTQUicgpV98GAHoaqCxPQPwU1Jn8F+oT5aKdXNaR
iOFRAFYWjHlfsEBwCIIxyCK8h64w4nKxlaAKOg4G2KY7aOj+bUW16CsKWfclzzoj
yUpDm4vAR+DtiwWi4KfZJi/+tuRjCRb2r0jwpEVesQC1cQwaq3njh9PdYdMKlUpI
2hmeBM5/VK/eCFxpBKF0nIkbJSuO0byTOnP/NnDCYdeNPae5xgM9xeZvZbV5ARIA
067IP6ynelPSvhB0U7gwIEYZ0KLE1FMgmKKEw6J55hfXvmSwxtu/KDNdsNy01wrA
KZK6CbbG7gB7trFn3JaKmMCwYuORgUl4m/UpW4ax2KMKsLlqPUVviZ/1IRhpuBKl
RCT81ZE9xXoHf2LPh3JPsxVCQZ0slUXVdyMjaQGl8GDdeeY0r48fPG2su3jsBx7u
cCi9lFniJcEChVCC8nbyOcp9YPfnthvGL+LCy+IjfvdomJWOIBCfE5m46DYN4q9R
EouwQgvdxjVmvIRlmI9w
=DiLU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Apr 2013 07:34:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:55:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.